Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commandregistry.CommandRegistry
- orion.commandregistry.ParameterCollector
- orion.commands.Command
- orion.commands.CommandInvocation
- orion.commands.CommandParameter
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.compare.CompareCommandFactory
- orion.compare.CompareOptions
- orion.compare.CompareSyntaxHighlighter
- orion.compare.CompareView
- orion.compare.CompareViewOptions
- orion.compare.DiffProvider
- orion.compare.FileOptions
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compare.toggleableCompareView
- orion.compare.TwoWayCompareView
- orion.compareUtils
- orion.core.ContentType
- orion.core.ContentTypeService
- orion.Deferred
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.editor.ActionDescription
- orion.editor.Annotation
- orion.editor.AnnotationIterator
- orion.editor.AnnotationModel
- orion.editor.AnnotationRuler
- orion.editor.AnnotationStyler
- orion.editor.AnnotationType
- orion.editor.AnnotationTypeList
- orion.editor.AsyncStyler
- orion.editor.BlurEvent
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistWidget
- orion.editor.ContextMenuEvent
- orion.editor.CssContentAssistProvider
- orion.editor.DestroyEvent
- orion.editor.EditOptions
- orion.editor.Editor
- orion.editor.EventTarget
- orion.editor.FindIterator
- orion.editor.FindOptions
- orion.editor.FocusEvent
- orion.editor.FoldingAnnotation
- orion.editor.HTMLContentAssistProvider
- orion.editor.InputManager
- orion.editor.JSTemplateContentAssistProvider
- orion.editor.KeyEvent
- orion.editor.LineNumberRuler
- orion.editor.LineStyleEvent
- orion.editor.ModelChangedEvent
- orion.editor.ModelChangingEvent
- orion.editor.ModifyEvent
- orion.editor.OverviewRuler
- orion.editor.Projection
- orion.editor.ProjectionTextModel
- orion.editor.regex
- orion.editor.Ruler
- orion.editor.ScrollEvent
- orion.editor.Selection
- orion.editor.SelectionEvent
- orion.editor.Style
- orion.editor.StyleRange
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.editor.TextModel
- orion.editor.TextTheme
- orion.editor.TextView
- orion.editor.TextViewOptions
- orion.editor.ThemeChangedEvent
- orion.editor.ThemeStyleSheet
- orion.editor.UndoStack
- orion.editor.VerifyEvent
- orion.EventTarget
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.FileExplorer
- orion.explorer.FileExplorer.ModelHandler
- orion.explorer.NavigatorRenderer
- orion.explorer.SelectionRenderer
- orion.explorerNavHandler.ExplorerNavDict
- orion.explorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.fileUtils
- orion.form
- orion.git.GitCommitExplorer
- orion.git.GitLogExplorer
- orion.git.GitRepositoryExplorer
- orion.git.GitReviewRequestExplorer
- orion.git.GitService
- orion.git.GitStatusExplorer
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.KeyBinding
- orion.KeySequence
- orion.KeyStroke
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.AttributeDefinition
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClassDefinition
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.objects
- orion.operation
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.PageLinks
- orion.parametercollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.Promise
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchBuilder
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.searchUtils.SearchParams
- orion.selection.Selection
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.settings.Setting
- orion.settings.SettingsRegistry
- orion.shell.Command
- orion.shell.Parameter
- orion.shell.ParameterType
- orion.shell.Shell
- orion.sidebar.MiniNavViewMode
- orion.sidebar.Sidebar
- orion.sidebar.ViewMode
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteEditor
- orion.sites.SiteService
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.tasks.TaskList
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.uiUtils
- orion.URITemplate
- orion.util
- orion.webui.dialogs.OpenResourceDialog
- orion.webui.dialogs.OperationsDialog
- orion.webui.littlelib
- orion.widgets.Section
- orion.widgets.settings.SplitSelectionLayout
- orion.xhr
- orion.xhr.Result
- String

# Class orion.editor.ProjectionTextModel

The `ProjectionTextModel` represents a projection of its base text model. Projection ranges can be added to the projection text model to hide and/or insert ranges to the base text model.

The contents of the projection text model is modified when changes occur in the base model, projection model or by calls to #addProjection and #removeProjection.

See:
orion.editor.TextView
orion.editor.TextModel orion.editor.TextView#setModel

Defined in: </shared/eclipse/e4/orion/I201306251555/plugins/org.eclipse.orion.client.editor/web/orion/editor/projectionTextModel.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.editor.ProjectionTextModel(baseModel) Constructs a new `ProjectionTextModel` based on the specified `TextModel`.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addEventListener(type, listener, useCapture) Adds an event listener to this event target.
| addProjection(projection) Adds a projection range to the model.
| dispatchEvent(evt) Dispatches the given event to the listeners added to this event target.
| getBaseModel() Gets the base text model.
| getCharCount()
| getLine(lineIndex, includeDelimiter)
| getLineAtOffset(offset)
| getLineCount()
| getLineDelimiter()
| getLineEnd(lineIndex, includeDelimiter)
| getLineStart(lineIndex)
| getProjections() Returns all projection ranges of this model.
| getText(start, end)
| mapOffset(offset, baseOffset) Maps offsets between the projection model and its base model.
| onChanged(modelChangedEvent)
| onChanging(modelChangingEvent)
| removeEventListener(type, listener, useCapture) Removes an event listener from the event target.
| removeProjection(projection) Removes a projection range from the model.
| setLineDelimiter(lineDelimiter)
| setText(text, start, end)

Class Detail
orion.editor.ProjectionTextModel(baseModel)
Constructs a new `ProjectionTextModel` based on the specified `TextModel`.

Parameters:
{orion.editor.TextModel} baseModel
  The base text model.

Method Detail
addEventListener(type, listener, useCapture)
Adds an event listener to this event target.
Defined in: </shared/eclipse/e4/orion/I201306251555/plugins/org.eclipse.orion.client.editor/web/orion/editor/eventTarget.js>.

Parameters:
{String} type
  The event type.
{Function|EventListener} listener
  The function or the EventListener that will be executed when the event happens.
{Boolean} useCapture Optional, Default: false
  `true` if the listener should be trigged in the capture phase.

See:
  #removeEventListener

addProjection(projection)
Adds a projection range to the model.

The model must notify the listeners before and after the the text is changed by calling #onChanging and #onChanged respectively.

Parameters:
{orion.editor.Projection} projection
  The projection range to be added.

See:
  #removeProjection

dispatchEvent(evt)
Dispatches the given event to the listeners added to this event target.
Defined in: </shared/eclipse/e4/orion/I201306251555/plugins/org.eclipse.orion.client.editor/web/orion/editor/eventTarget.js>.

Parameters:
{Event} evt
  The event to dispatch.

{orion.editor.TextModel} getBaseModel()
Gets the base text model.

Returns:
  {orion.editor.TextModel} The base text model.

getCharCount()

See:
  orion.editor.TextModel#getCharCount

getLine(lineIndex, includeDelimiter)

Parameters:
lineIndex
includeDelimiter

See:
  orion.editor.TextModel#getLine

getLineAtOffset(offset)

Parameters:
offset

See:
  orion.editor.TextModel#getLineAtOffset

getLineCount()

See:
  orion.editor.TextModel#getLineCount

getLineDelimiter()

See:
  orion.editor.TextModel#getLineDelimiter

getLineEnd(lineIndex, includeDelimiter)

Parameters:
lineIndex
includeDelimiter

See:
  orion.editor.TextModel#getLineEnd

getLineStart(lineIndex)

Parameters:
lineIndex

See:
  orion.editor.TextModel#getLineStart

{orion.editor.Projection[]} getProjections()
Returns all projection ranges of this model.

Returns:
  {orion.editor.Projection[]} The projection ranges.

See:
  #addProjection

getText(start, end)

Parameters:
start
end

See:
  orion.editor.TextModel#getText

{Number} mapOffset(offset, baseOffset)
Maps offsets between the projection model and its base model.

Parameters:
{Number} offset
  The offset to be mapped.
{Boolean} baseOffset Optional, Default: false
  `true` if `offset` is in base model and should be mapped to the projection model.

Returns:
  {Number} The mapped offset

onChanged(modelChangedEvent)

Parameters:
modelChangedEvent

See:
  orion.editor.TextModel#onChanged

onChanging(modelChangingEvent)

Parameters:
modelChangingEvent

See:
  orion.editor.TextModel#onChanging

removeEventListener(type, listener, useCapture)
Removes an event listener from the event target.

All the parameters must be the same ones used to add the listener.

Defined in: </shared/eclipse/e4/orion/I201306251555/plugins/org.eclipse.orion.client.editor/web/orion/editor/eventTarget.js>.

Parameters:
{String} type
  The event type
{Function|EventListener} listener
  The function or the EventListener that will be executed when the event happens.
{Boolean} useCapture Optional, Default: false
  `true` if the listener should be trigged in the capture phase.

See:
  #addEventListener

removeProjection(projection)
Removes a projection range from the model.

The model must notify the listeners before and after the the text is changed by calling #onChanging and #onChanged respectively.

Parameters:
{orion.editor.Projection} projection
  The projection range to be removed.

See:
  #addProjection

setLineDelimiter(lineDelimiter)

Parameters:
lineDelimiter

See:
  orion.editor.TextModel#setLineDelimiter

setText(text, start, end)

Parameters:
text
start
end

See:
  orion.editor.TextModel#setText

Documentation generated by JsDoc Toolkit 2.4.0 on Tue Jun 25 2013 15:58:41 GMT-0400 (EDT)